Last Comment Bug 217968 - mozilla/nsprpub/pr/tests/servr_uk.c", line 66.9: 1506-236 (W) Macro name STACKSIZE has been redefined
: mozilla/nsprpub/pr/tests/servr_uk.c", line 66.9: 1506-236 (W) Macro name STAC...
Status: RESOLVED FIXED
:
Product: NSPR
Classification: Components
Component: NSPR (show other bugs)
: other
: PowerPC Mac OS X
: -- trivial (vote)
: 4.4.1
Assigned To: Wan-Teh Chang
: Wan-Teh Chang
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 06:26 PDT by timeless
Modified: 2003-11-26 17:12 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch: rename STACKSIZE to THREAD_STACKSIZE (9.13 KB, patch)
2003-09-08 11:51 PDT, Wan-Teh Chang
no flags Details | Diff | Splinter Review

Description timeless 2003-09-01 06:26:45 PDT
"/Users/timeless/mozilla/nsprpub/pr/tests/servr_uk.c", line 66.9: 1506-236 (W)
Macro name STACKSIZE has been redefined.
"/Users/timeless/mozilla/nsprpub/pr/tests/servr_uk.c", line 66.9: 1506-358 (I)
"STACKSIZE" is defined on line 58 of /usr/include/ppc/param.h.
Comment 1 Wan-Teh Chang 2003-09-08 11:04:39 PDT
The fix is to rename the macro so that it doesn't conflict
with a system macro.  the server_test.c, servr_kk.c, servr_ku.c,
and servr_uu.c tests also need to be modified the same way.
Comment 2 Wan-Teh Chang 2003-09-08 11:51:34 PDT
Created attachment 131086 [details] [diff] [review]
Proposed patch: rename STACKSIZE to THREAD_STACKSIZE
Comment 3 Wan-Teh Chang 2003-09-08 11:54:34 PDT
Fix checked into the NSPR trunk (NSPR 4.5).
Comment 4 Wan-Teh Chang 2003-11-26 17:12:19 PST
This bug is first fixed in NSPR 4.4.1.

Note You need to log in before you can comment on or make changes to this bug.